CATIMG(1)

NAME
catimg - fast image printing in to your terminal

SYNOPSIS
catimg [-hct] [-w width | -H height] [-l loops] [-r resolution] image

DESCRIPTION
catimg is a little program written in C with no dependencies that prints images in the terminal. It supports JPEG, PNG and GIF formats.

OPTIONS

-c  Coerce colors to a restricted palette. Allows terminals with limited color support to render a more accurate version of the image than if it was directly done by the terminal itself.

-h  Prints a help message

-H HEIGHT
    Specify the height of the displayed image, passing '0' will use terminal height.

-l LOOPS
    Specify the amount of loops that catimg should repeat a GIF. A value of 1 means that the GIF will be displayed twice. A negative value implies infinity.

-r RESOLUTION
    Possible values 1 or 2. Force the resolution of the image. By default catimg will check if rendering in higher resolution is possible and do so or use the lower one.

-t  Disables true color (24-bit) support, falling back to 256 color escape codes instead.

-w WIDTH
    Specify the width of the displayed image. When not provided, catimg will use the terminal width.

BUGS
Please report any bugs to https://github.com/posva/catimg/issues.

AUTHORS
catimg was written by Eduardo San Martin Morote (https://github.com/posva)

This manual page was written by Jonathan Carter <jcarter@linux.com>, Eduardo San Martin Morote and Thomas Kupper